%global namedreltag _r22
%global namedversion %{version}%{?namedreltag}
%global oname json
Name:          android-json-org-java
Version:       6.0.1
Release:       0.6.r22%{?dist}
Summary:       Androids rewrite of the evil licensed Json.org
License:       ASL 2.0
URL:           https://android.googlesource.com/platform/libcore/+/master/json
# git clone https://android.googlesource.com/platform/libcore/ android-json-org-java
# (cd android-json-org-java/json/ && git archive --format=tar --prefix=android-json-org-java-6.0.1_r22/ android-6.0.1_r22 | xz > ../../android-json-org-java-6.0.1_r22.tar.xz)
Source0:       %{name}-%{namedversion}.tar.xz
Source1:       %{name}-template.pom
# android-json-org-java package don't include the license file
Source2:       http://www.apache.org/licenses/LICENSE-2.0.txt
Patch0:        %{name}-20130122-ignore_failing_junit_test.patch
BuildRequires: geronimo-parent-poms
BuildRequires: maven-local
BuildArch:     noarch

%description
Json.org is a popular java library to parse and
create json string from the author of the json
standard Douglas Crockford. His implementation
however is not free software.
Therefor the Android team did a clean-room
re-implementation of a json library to
be used in-place of the original one.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p0

sed -i '/java.nio.channels.Selector.open/d' \
 src/test/java/org/json/JSONObjectTest.java

cp -p %{SOURCE1} pom.xml
sed -i "s|<version>@version@|<version>%{namedversion}|" pom.xml
cp -p %{SOURCE2} .
sed -i 's/\r//' LICENSE-2.0.txt

# empty file
rm -rf MODULE_LICENSE_BSD_LIKE

%mvn_file :%{oname} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt

%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.1-0.6.r22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.1-0.5.r22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.1-0.4.r22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.1-0.3.r22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.1-0.2.r22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Apr 02 2016 gil cattaneo <puntogil@libero.it> 6.0.1-0.1.r22
- update to 6.0.1_r22

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.0-0.3.r1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 28 2015 gil cattaneo <puntogil@libero.it> - 6.0.0-0.2.r1
- rebuilt

* Fri Oct 30 2015 gil cattaneo <puntogil@libero.it> 6.0.0-0.1.r1
- update to 6.0.0_r1

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.2-0.2.r1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Feb 22 2015 gil cattaneo <puntogil@libero.it> 5.0.2-0.1.r1
- update to 5.0.2_r1

* Thu Jan 29 2015 gil cattaneo <puntogil@libero.it> 4.3-0.3.r3.1
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-0.2.r3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Oct 28 2013 gil cattaneo <puntogil@libero.it> 4.3-0.1.r3.1
- update to 4.3_r3.1

* Mon Sep 16 2013 gil cattaneo <puntogil@libero.it> 4.2.2-0.2.r1.2
- fix license tag

* Mon Jan 14 2013 gil cattaneo <puntogil@libero.it> 4.2.2-0.1.r1.2
- initial rpm
